const formEl = document.getElementById("reset");
formEl.addEventListener('submit', (listener) => formHandler(listener));

function formHandler(listener){
    listener.preventDefault();
    const formData = new FormData(formEl);
    const user = formData.get("user");
    const pass = formData.get("pass");
    const newPW = formData.get("newPW");
    if(newPW === formData.get("newPWConfirm")){
        const object = {user: user, pass: pass, field: "userPassword", value: newPW}
        fetch('https://api.sso.skynet.ie/ldap/update', {
            method: 'POST',
            body: JSON.stringify(object)
        }).then(res => {
            if(res.status === 200) {
                document.getElementById('formStatus').innerHTML = "<span style='background-color: green; color: white'>Success</span>";
            } else if (res.status === 500){
                document.getElementById('formStatus').innerHTML = "<span style='background-color: red; color: white'>Failure</span>";
            } else {
                document.getElementById('formStatus').innerHTML = "<span style='background-color: red; color: white'>Failure: Failed to communicate to server</span>";
            }
        }).catch(() => document.getElementById('formStatus').innerHTML = "<span style='background-color: yellow; color: black'>Please try again</span>");
    } else {
        document.getElementById('formStatus').innerHTML = "<span style='background-color: red; color: white'>Failure: new passwords don't match</span>";
    }
}